X2Go Bug report logs - #234
x2goclient on mac without sshd reports error

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Tue, 11 Jun 2013 09:18:01 UTC

Severity: minor

Tags: build-macosx

Found in version 4.0.1.0

Fixed in version 4.1.0.0

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#234; Package x2goclient. (Tue, 11 Jun 2013 09:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 11 Jun 2013 09:18:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2goclient on mac without sshd reports error
Date: Tue, 11 Jun 2013 11:03:02 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.0
Severity: minor

On Macs where sshd (system preferences -> sharing -> remote login) hasn't
ever been enabled, there does not exist any ssh host key. X2goclient looks
for this key (/etc/ssh_host_rsa_key.pub) and if it does not find it, it
opens a dialog box, complaining that sshd isn't running and that
filesharing and local printing won't work. This despite the session given
by x2gobroker has these features disabled. X2goclient should only complain
about none-running/working sshd if it is actually needed.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Added tag(s) build-macosx. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#234; Package x2goclient. (Tue, 28 Feb 2017 14:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Feb 2017 14:05:02 GMT) (full text, mbox, link).


Message #12 received at 234@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 234@bugs.x2go.org
Subject: Re: x2goclient on mac without sshd reports error
Date: Tue, 28 Feb 2017 15:01:58 +0100
[Message part 1 (text/plain, inline)]
Control: close -1
Control: fixed -1 4.1.0.0

On 11.06.2013 11:03 AM, Anders Bruun Olsen wrote:
> Package: x2goclient
> Version: 4.0.1.0
> Severity: minor
> 
> On Macs where sshd (system preferences -> sharing -> remote login) hasn't ever
> been enabled, there does not exist any ssh host key. X2goclient looks for this
> key (/etc/ssh_host_rsa_key.pub) and if it does not find it, it opens a dialog
> box, complaining that sshd isn't running and that filesharing and local printing
> won't work. This despite the session given by x2gobroker has these features
> disabled. X2goclient should only complain about none-running/working sshd if it
> is actually needed.

This should be irrelevant in 4.1.0.0, since we're now always starting a private
sshd instance and generate temporary keys for every connection.

Are you still using X2Go? It's been 4 years and I'm the type to assume things...



Mihai



[signature.asc (application/pgp-signature, attachment)]

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to 234-submit@bugs.x2go.org. (Tue, 28 Feb 2017 14:05:03 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Tue, 28 Feb 2017 14:05:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to 234-submit@bugs.x2go.org. (Tue, 28 Feb 2017 14:05:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 29 Mar 2017 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Aug 20 20:40:30 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.